## linux 3.14.12

=== Makefile ===
VERSION = 3
PATCHLEVEL = 14
SUBLEVEL = 12
EXTRAVERSION =
NAME = Remembering Coco

# *DOCUMENTATION*
# To see a list of typical targets execute "make help"
# More info can be located in ./README
# Comments in this file are targeted only to the developer, do not
# expect to learn how to build the kernel reading this file.

# Do not:
# o  use make's built-in rules and variables
#    (this increases performance and avoids hard-to-debug behaviour);
# o  print "Entering directory ...";
MAKEFLAGS += -rR --no-print-directory

# Avoid funny character set dependencies
unexport LC_ALL
LC_COLLATE=C
LC_NUMERIC=C
export LC_COLLATE LC_NUMERIC

# Avoid interference with shell env settings
unexport GREP_OPTIONS

# We are using a recursive build, so we need to do a little thinking
# to get the ordering right.
#
# Most importantly: sub-Makefiles should only ever modify files in
# their own directory. If in some directory we have a dependency on
# a file in another dir (which doesn't happen often, but it's often
# unavoidable when linking the built-in.o targets which finally
# turn into vmlinux), we will call a sub make in that other dir, and
# after that we are sure that everything which is in that other dir
# is now up to date.
#
# The only cases where we need to modify files which have global
# effects are thus separated out and done before the recursive
# descending is started. They are now explicitly listed as the
# prepare rule.

# To put more focus on warnings, be less verbose as default
# Use 'make V=1' to see the full commands

ifeq ("$(origin V)", "command line")
  KBUILD_VERBOSE = $(V)
endif
ifndef KBUILD_VERBOSE
  KBUILD_VERBOSE = 0
endif

# Call a source code checker (by default, "sparse") as part of the
# C compilation.
#
# Use 'make C=1' to enable checking of only re-compiled files.
# Use 'make C=2' to enable checking of *all* source files, regardless
# of whether they are re-compiled or not.
#
# See the file "Documentation/sparse.txt" for more details, including
# where to get the "sparse" utility.

ifeq ("$(origin C)", "command line")
  KBUILD_CHECKSRC = $(C)
endif
ifndef KBUILD_CHECKSRC
  KBUILD_CHECKSRC = 0
endif

# Use make M=dir to specify directory of external module to build
# Old syntax make ... SUBDIRS=$PWD is still supported
# Setting the environment variable KBUILD_EXTMOD take precedence
ifdef SUBDIRS
  KBUILD_EXTMOD ?= $(SUBDIRS)
endif

ifeq ("$(origin M)", "command line")
  KBUILD_EXTMOD := $(M)
endif

# kbuild supports saving output files in a separate directory.
# To locate output files in a separate directory two syntaxes are supported.
# In both cases the working directory must be the root of the kernel src.
# 1) O=
# Use "make O=dir/to/store/output/files/"
#
# 2) Set KBUILD_OUTPUT
# Set the environment variable KBUILD_OUTPUT to point to the directory
# where the output files shall be placed.
# export KBUILD_OUTPUT=dir/to/store/output/files/
# make
#
# The O= assignment takes precedence over the KBUILD_OUTPUT environment
# variable.


# KBUILD_SRC is set on invocation of make in OBJ directory
# KBUILD_SRC is not intended to be used by the regular user (for now)
ifeq ($(KBUILD_SRC),)

# OK, Make called in directory where kernel src resides
# Do we want to locate output files in a separate directory?
ifeq ("$(origin O)", "command line")
  KBUILD_OUTPUT := $(O)
endif

ifeq ("$(origin W)", "command line")
  export KBUILD_ENABLE_EXTRA_GCC_CHECKS := $(W)
endif

# That's our default target when none is given on the command line
PHONY := _all
_all:

# Cancel implicit rules on top Makefile
$(CURDIR)/Makefile Makefile: ;

ifneq ($(KBUILD_OUTPUT),)
# Invoke a second make in the output directory, passing relevant variables
# check that the output directory actually exists
saved-output := $(KBUILD_OUTPUT)
KBUILD_OUTPUT := $(shell cd $(KBUILD_OUTPUT) && /bin/pwd)
$(if $(KBUILD_OUTPUT),, \
     $(error output directory "$(saved-output)" does not exist))

PHONY += $(MAKECMDGOALS) sub-make

$(filter-out _all sub-make $(CURDIR)/Makefile, $(MAKECMDGOALS)) _all: sub-make
	@:

sub-make: FORCE
	$(if $(KBUILD_VERBOSE:1=),@)$(MAKE) -C $(KBUILD_OUTPUT) \
	KBUILD_SRC=$(CURDIR) \
	KBUILD_EXTMOD="$(KBUILD_EXTMOD)" -f $(CURDIR)/Makefile \
	$(filter-out _all sub-make,$(MAKECMDGOALS))

# Leave processing to above invocation of make
skip-makefile := 1
endif # ifneq ($(KBUILD_OUTPUT),)
endif # ifeq ($(KBUILD_SRC),)

# We process the rest of the Makefile if this is the final invocation of make
ifeq ($(skip-makefile),)

# If building an external module we do not care about the all: rule
# but instead _all depend on modules
PHONY += all
ifeq ($(KBUILD_EXTMOD),)
_all: all
else
_all: modules
endif

srctree		:= $(if $(KBUILD_SRC),$(KBUILD_SRC),$(CURDIR))
objtree		:= $(CURDIR)
src		:= $(srctree)
obj		:= $(objtree)

VPATH		:= $(srctree)$(if $(KBUILD_EXTMOD),:$(KBUILD_EXTMOD))

export srctree objtree VPATH


# SUBARCH tells the usermode build what the underlying arch is.  That is set
# first, and if a usermode build is happening, the "ARCH=um" on the command
# line overrides the setting of ARCH below.  If a native build is happening,
# then ARCH is assigned, getting whatever value it gets normally, and 
# SUBARCH is subsequently ignored.

SUBARCH := $(shell uname -m | sed -e s/i.86/x86/ -e s/x86_64/x86/ \
				  -e s/sun4u/sparc64/ \
				  -e s/arm.*/arm/ -e s/sa110/arm/ \
				  -e s/s390x/s390/ -e s/parisc64/parisc/ \
				  -e s/ppc.*/powerpc/ -e s/mips.*/mips/ \
				  -e s/sh[234].*/sh/ -e s/aarch64.*/arm64/ )

# Cross compiling and selecting different set of gcc/bin-utils
# ---------------------------------------------------------------------------
#
# When performing cross compilation for other architectures ARCH shall be set
# to the target architecture. (See arch/* for the possibilities).
# ARCH can be set during invocation of make:
# make ARCH=ia64
# Another way is to have ARCH set in the environment.
# The default ARCH is the host where make is executed.

# CROSS_COMPILE specify the prefix used for all executables used
# during compilation. Only gcc and related bin-utils executables
# are prefixed with $(CROSS_COMPILE).
# CROSS_COMPILE can be set on the command line
# make CROSS_COMPILE=ia64-linux-
# Alternatively CROSS_COMPILE can be set in the environment.
# A third alternative is to store a setting in .config so that plain
# "make" in the configured kernel build directory always uses that.
# Default value for CROSS_COMPILE is not to prefix executables
# Note: Some architectures assign CROSS_COMPILE in their arch/*/Makefile
ARCH		?= $(SUBARCH)
CROSS_COMPILE	?= $(CONFIG_CROSS_COMPILE:"%"=%)

# Architecture as present in compile.h
UTS_MACHINE 	:= $(ARCH)
SRCARCH 	:= $(ARCH)

# Additional ARCH settings for x86
ifeq ($(ARCH),i386)
        SRCARCH := x86
endif
ifeq ($(ARCH),x86_64)
        SRCARCH := x86
endif

# Additional ARCH settings for sparc
ifeq ($(ARCH),sparc32)
       SRCARCH := sparc
endif
ifeq ($(ARCH),sparc64)
       SRCARCH := sparc
endif

# Additional ARCH settings for sh
ifeq ($(ARCH),sh64)
       SRCARCH := sh
endif

# Additional ARCH settings for tile
ifeq ($(ARCH),tilepro)
       SRCARCH := tile
endif
ifeq ($(ARCH),tilegx)
       SRCARCH := tile
endif

# Where to locate arch specific headers
hdr-arch  := $(SRCARCH)

KCONFIG_CONFIG	?= .config
export KCONFIG_CONFIG

# SHELL used by kbuild
CONFIG_SHELL := $(shell if [ -x "$$BASH" ]; then echo $$BASH; \
	  else if [ -x /bin/bash ]; then echo /bin/bash; \
	  else echo sh; fi ; fi)

HOSTCC       = gcc
HOSTCXX      = g++
HOSTCFLAGS   = -Wall -Wmissing-prototypes -Wstrict-prototypes -O2 -fomit-frame-pointer
HOSTCXXFLAGS = -O2

# Decide whether to build built-in, modular, or both.
# Normally, just do built-in.

KBUILD_MODULES :=
KBUILD_BUILTIN := 1

#	If we have only "make modules", don't compile built-in objects.
#	When we're building modules with modversions, we need to consider
#	the built-in objects during the descend as well, in order to
#	make sure the checksums are up to date before we record them.

ifeq ($(MAKECMDGOALS),modules)
  KBUILD_BUILTIN := $(if $(CONFIG_MODVERSIONS),1)
endif

#	If we have "make <whatever> modules", compile modules
#	in addition to whatever we do anyway.
#	Just "make" or "make all" shall build modules as well

ifneq ($(filter all _all modules,$(MAKECMDGOALS)),)
  KBUILD_MODULES := 1
endif

ifeq ($(MAKECMDGOALS),)
  KBUILD_MODULES := 1
endif

export KBUILD_MODULES KBUILD_BUILTIN
export KBUILD_CHECKSRC KBUILD_SRC KBUILD_EXTMOD

# Beautify output
# ---------------------------------------------------------------------------
#
# Normally, we echo the whole command before executing it. By making
# that echo $($(quiet)$(cmd)), we now have the possibility to set
# $(quiet) to choose other forms of output instead, e.g.
#
#         quiet_cmd_cc_o_c = Compiling $(RELDIR)/$@
#         cmd_cc_o_c       = $(CC) $(c_flags) -c -o $@ $<
#
# If $(quiet) is empty, the whole command will be printed.
# If it is set to "quiet_", only the short version will be printed. 
# If it is set to "silent_", nothing will be printed at all, since
# the variable $(silent_cmd_cc_o_c) doesn't exist.
#
# A simple variant is to prefix commands with $(Q) - that's useful
# for commands that shall be hidden in non-verbose mode.
#
#	$(Q)ln $@ :<
#
# If KBUILD_VERBOSE equals 0 then the above command will be hidden.
# If KBUILD_VERBOSE equals 1 then the above command is displayed.

ifeq ($(KBUILD_VERBOSE),1)
  quiet =
  Q =
else
  quiet=quiet_
  Q = @
endif

# If the user is running make -s (silent mode), suppress echoing of
# commands

ifneq ($(filter 4.%,$(MAKE_VERSION)),)	# make-4
ifneq ($(filter %s ,$(firstword x$(MAKEFLAGS))),)
  quiet=silent_
endif
else					# make-3.8x
ifneq ($(filter s% -s%,$(MAKEFLAGS)),)
  quiet=silent_
endif
endif

export quiet Q KBUILD_VERBOSE


# Look for make include files relative to root of kernel src
MAKEFLAGS += --include-dir=$(srctree)

# We need some generic definitions (do not try to remake the file).
$(srctree)/scripts/Kbuild.include: ;
include $(srctree)/scripts/Kbuild.include

# Make variables (CC, etc...)

AS		= $(CROSS_COMPILE)as
LD		= $(CROSS_COMPILE)ld
CC		= $(CROSS_COMPILE)gcc
CPP		= $(CC) -E
AR		= $(CROSS_COMPILE)ar
NM		= $(CROSS_COMPILE)nm
STRIP		= $(CROSS_COMPILE)strip
OBJCOPY		= $(CROSS_COMPILE)objcopy
OBJDUMP		= $(CROSS_COMPILE)objdump
AWK		= awk
GENKSYMS	= scripts/genksyms/genksyms
INSTALLKERNEL  := installkernel
DEPMOD		= /sbin/depmod
PERL		= perl
CHECK		= sparse

CHECKFLAGS     := -D__linux__ -Dlinux -D__STDC__ -Dunix -D__unix__ \
		  -Wbitwise -Wno-return-void $(CF)
CFLAGS_MODULE   =
AFLAGS_MODULE   =
LDFLAGS_MODULE  =
CFLAGS_KERNEL	=
AFLAGS_KERNEL	=
CFLAGS_GCOV	= -fprofile-arcs -ftest-coverage


# Use USERINCLUDE when you must reference the UAPI directories only.
USERINCLUDE    := \
		-I$(srctree)/arch/$(hdr-arch)/include/uapi \
		-Iarch/$(hdr-arch)/include/generated/uapi \
		-I$(srctree)/include/uapi \
		-Iinclude/generated/uapi \
                -include $(srctree)/include/linux/kconfig.h

# Use LINUXINCLUDE when you must reference the include/ directory.
# Needed to be compatible with the O= option
LINUXINCLUDE    := \
		-I$(srctree)/arch/$(hdr-arch)/include \
		-Iarch/$(hdr-arch)/include/generated \
		$(if $(KBUILD_SRC), -I$(srctree)/include) \
		-Iinclude \
		$(USERINCLUDE)

KBUILD_CPPFLAGS := -D__KERNEL__

KBUILD_CFLAGS   := -Wall -Wundef -Wstrict-prototypes -Wno-trigraphs \
		   -fno-strict-aliasing -fno-common \
		   -Werror-implicit-function-declaration \
		   -Wno-format-security \
		   -fno-delete-null-pointer-checks
KBUILD_AFLAGS_KERNEL :=
KBUILD_CFLAGS_KERNEL :=
KBUILD_AFLAGS   := -D__ASSEMBLY__
KBUILD_AFLAGS_MODULE  := -DMODULE
KBUILD_CFLAGS_MODULE  := -DMODULE
KBUILD_LDFLAGS_MODULE := -T $(srctree)/scripts/module-common.lds

# Read KERNELRELEASE from include/config/kernel.release (if it exists)
KERNELRELEASE = $(shell cat include/config/kernel.release 2> /dev/null)
KERNELVERSION = $(VERSION)$(if $(PATCHLEVEL),.$(PATCHLEVEL)$(if $(SUBLEVEL),.$(SUBLEVEL)))$(EXTRAVERSION)

=== debian/changelog ===
linux (3.14.12-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy:
    - Disable architectures that weren't part of wheezy
    - Use gcc-4.6 for all architectures
    - Change ABI number to 0.bpo.1
    - [arm] btrfs: Work around bug in gcc-4.6 (fixes FTBFS)

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 13 Jul 2014 20:29:47 +0100

linux (3.14.12-1) unstable; urgency=medium

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.14.11
    - iscsi-target: Avoid rejecting incorrect ITT for Data-Out
    - iscsi-target: Explicily clear login response PDU in exception path
      (regression in 3.10)
    - iscsi-target: fix iscsit_del_np deadlock on unload (regression in 3.13)
    - Input: synaptics - fix resolution for manually provided min/max
      (regression in 3.14)
    - [mips] MSC: Prevent out-of-bounds writes to MIPS SC ioremap'd region
    - UBIFS: fix an mmap and fsync race condition
    - UBIFS: Remove incorrect assertion in shrink_tnc()
    - IB/ipath: Translate legacy diagpkt into newer extended diagpkt
    - IB/srp: Fix a sporadic crash triggered by cable pulling
    - IB/umad: Fix error handling
    - IB/umad: Fix use-after-free on close
    - nfsd4: fix FREE_STATEID lockowner leak (regression in 3.14.6)
    - nfsd: getattr for FATTR4_WORD0_FILES_AVAIL needs the statfs buffer
    - NFS: Don't declare inode uptodate unless all attributes were checked
    - nfs: Fix cache_validity check in nfs_write_pageuptodate()
    - [powerpc] mm: Check paca psize is up to date for huge mappings
    - [powerpc] perf: Ensure all EBB register state is cleared on fork()
    - xfs: xfs_readsb needs to check for magic numbers (regression in 3.14)
    - reiserfs: call truncate_setsize under tailpack mutex
    - ipvs: Fix panic due to non-linear skb
    - tracing: Fix syscall_*regfunc() vs copy_process() race
    - ALSA: usb-audio: Fix races at disconnection and PCM closing
    https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.14.12
    - [powerpc] ibmvscsi: Abort init sequence during error recovery
    - [powerpc] ibmvscsi: Add memory barriers for send / receive
    - virtio-scsi: avoid cancelling uninitialized work items
    - scsi_error: fix invalid setting of host byte
    - virtio-scsi: fix various bad behavior on aborted requests
    - xhci: Use correct SLOT ID when handling a reset device command
      (regression in 3.13)
    - usb: chipidea: udc: delete td from req's td list at ep_dequeue
    - mtd: eLBC NAND: fix subpage write support (regression in 3.10)
    - mtd: nand: omap: fix BCHx ecc.correct to return detected bit-flips in
      erased-page
    - [x86] drm/i915: Avoid div-by-zero when pixel_multiplier is zero
      (regression in 3.13)
    - [x86] drm/i915: set backlight duty cycle after backlight enable for gen4
      (regression in 3.14)
    - Bluetooth: Fix SSP acceptor just-works confirmation without MITM
    - Bluetooth: Fix check for connection encryption
    - rbd: use reference counts for image requests
    - rbd: handle parent_overlap on writes correctly
    - mac80211: fix a memory leak on sta rate selection table
      (regression in 3.10)
    - hugetlb: fix copy_hugetlb_page_range() to handle migration/hwpoisoned
      entry
    - [arm64] mm: Make icache synchronisation logic huge page aware
    - [arm64] Bug fix in stack alignment exception
    - fs/cifs: fix regression in cifs_create_mf_symlink() (regression in 3.14)
    - blkcg: fix use-after-free in __blkg_release_rcu() by making
      blkcg_gq refcnt an atomic_t
    - ext4: Fix buffer double free in ext4_alloc_branch()
    - ext4: Fix hole punching for files with indirect blocks
    - [x86] KVM: preserve the high 32-bits of the PAT register
    - [x86] kvm: fix wrong address when writing Hyper-V tsc page
    - nfsd: fix rare symlink decoding bug
    - tracing: Remove ftrace_stop/start() from reading the trace file
    - md: flush writes before starting a recovery.
    - mlx4_core: Fix incorrect FLAGS1 bitmap test in mlx4_QUERY_FUNC_CAP
      (regression in 3.14)
    - netfilter: nf_nat: fix oops on netns removal
    - brcmfmac: Fix brcmf_chip_ai_coredisable not applying reset bits to
      BCMA_IOCTL (regression in 3.14)
    - mmc: rtsx: add R1-no-CRC mmc command type handle (regression in 3.13)
    - aio: block io_destroy() until all context requests are completed
      (regression in 3.11)
    - audit: remove superfluous new- prefix in AUDIT_LOGIN messages
      (regression in 3.14)
    - mm/numa: Remove BUG_ON() in __handle_mm_fault() (regression in 3.13)
    - slab: fix oops when reading /proc/slab_allocators
    - sym53c8xx_2: Set DID_REQUEUE return code when aborting squeue
    - mm: fix crashes from mbind() merging vmas

  [ Ben Hutchings ]
  * [rt] Update to 3.14.10-rt7:
    - rtmutex: Resolve conflicts with changes in 3.14.10
    - sched: Do not clear PF_NO_SETAFFINITY flag in select_fallback_rq()
    - workqueue: Prevent deadlock/stall on RT
  * [rt] random: Restore interrupt randomness dropped in 3.14.10-rt6
  * [s390,s390x] Ignore ABI change in lowcore structure (fixes FTBFS)
  * [m68k] block: Change IOSCHED_CFQ to built-in and make it the default
    I/O scheduler, consistent with other architectures

 -- Ben Hutchings <ben@decadent.org.uk>  Fri, 11 Jul 2014 17:56:20 +0100

linux (3.14.10-1) unstable; urgency=high

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.14.10
    - [s390] af_iucv: wrong mapping of sent and confirmed skbs
    - Staging: rtl8188eu: overflow in update_sta_support_rate()
    - USB: option: fix runtime PM handling
    - hugetlb: restrict hugepage_migration_support() to x86_64
    - kthread: fix return value of kthread_create() upon SIGKILL.
    - mm/memory-failure.c-failure: send right signal code to correct thread
    - mm/memory-failure.c: don't let collect_procs() skip over processes for
      MF_ACTION_REQUIRED
    - ptrace: fix fork event messages across pid namespaces


=== debian/control ===
Source: linux
Section: kernel
Priority: optional
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, Frederik Schüler <fs@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <ben@decadent.org.uk>
Standards-Version: 3.9.4
Build-Depends: debhelper, cpio, kmod, python, python-six, lzma [armel], kernel-wedge, quilt, patchutils, bc, gcc-4.6 [amd64 armel armhf i386 ia64 mips mipsel powerpc s390 s390x sparc]
Build-Depends-Indep: xz-utils, xmlto
Vcs-Svn: svn://anonscm.debian.org/svn/kernel/dists/trunk/linux/
Vcs-Browser: http://anonscm.debian.org/viewvc/kernel/dists/trunk/linux/
Homepage: https://www.kernel.org/

Package: linux-source-3.14
Architecture: all
Section: kernel
Depends: binutils, bzip2, ${misc:Depends}
Recommends: libc6-dev | libc-dev, gcc, make, bc
Suggests: libncurses-dev | ncurses-dev, libqt4-dev, pkg-config
Description: Linux kernel source for version 3.14 with Debian patches
 This package provides source code for the Linux kernel version 3.14. This
 source closely tracks official Linux kernel releases.  Debian's
 modifications to that source consist of security fixes, bug fixes, and
 features that have already been (or are believed to be) accepted by the
 upstream maintainers.
Multi-Arch: foreign

Package: linux-doc-3.14
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Linux kernel specific documentation for version 3.14
 This package provides the various README files and HTML documentation for
 the Linux kernel version 3.14.  Plenty of information, including the
 descriptions of various kernel subsystems, filesystems, driver-specific
 notes and the like.  Consult the file
 /usr/share/doc/linux-doc-3.14/Documentation/00-INDEX for the detailed
 description of the contents.
Multi-Arch: foreign

Package: linux-manual-3.14
Architecture: all
Section: doc
Provides: linux-manual
Depends: ${misc:Depends}
Replaces: linux-manual
Conflicts: linux-manual
Description: Linux kernel API manual pages for version 3.14
 This package provides the Kernel Hacker's Guide in the form of manual
 pages, describing the kernel API functions.  They are installed into
 section 9 of the manual.
 .
 As the files containing manual pages for different kernel versions are
 installed in the same location, only one linux-manual package may be
 installed at a time.  The linux-doc package containing the documentation
 in other formats is free from such restriction.
Multi-Arch: foreign

Package: linux-support-3.14-0.bpo.1
Architecture: all
Section: devel
Depends: ${python:Depends}, ${misc:Depends}, python-six
Description: Support files for Linux 3.14
 This package provides support files for the Linux kernel build, e.g.
 scripts to handle ABI information and for generation of build system meta
 data.
Multi-Arch: foreign

Package: linux-libc-dev
Architecture: amd64 armel armhf i386 ia64 mips mipsel powerpc s390 s390x sparc
Section: devel
Provides: linux-kernel-headers
Depends: ${misc:Depends}
Replaces: linux-kernel-headers
Conflicts: linux-kernel-headers
Description: Linux support headers for userspace development
 This package provides userspaces headers from the Linux kernel.  These
 headers are used by the installed headers for GNU libc and other system
 libraries.
Multi-Arch: same

Package: linux-headers-3.14-0.bpo.1-all
Architecture: amd64 armel armhf i386 ia64 mips mipsel powerpc s390 s390x sparc
Depends: linux-headers-3.14-0.bpo.1-all-${kernel:Arch} (= ${binary:Version}), ${misc:Depends}
Description: All header files for Linux 3.14 (meta-package)
 This package depends against all architecture-specific kernel header files
 for Linux kernel version 3.14, generally used for building out-of-tree
 kernel modules.

Package: linux-headers-3.14-0.bpo.1-all-amd64
Architecture: amd64
Depends: ${misc:Depends}, linux-headers-3.14-0.bpo.1-amd64 (= ${binary:Version}), linux-headers-3.14-0.bpo.1-rt-amd64 (= ${binary:Version})
Description: All header files for Linux 3.14 (meta-package)
 This package depends against all architecture-specific kernel header files
 for Linux kernel version 3.14, generally used for building out-of-tree
 kernel modules.

Package: kernel-image-3.14-0.bpo.1-amd64-di
Architecture: amd64
Section: debian-installer
Priority: extra
Provides: kernel-image, zlib-modules
Description: Linux kernel binary image for the Debian installer
 This package contains the kernel image for the Debian installer boot
 images.  It does _not_ provide a usable kernel for your full Debian
 system.
Kernel-Version: 3.14-0.bpo.1-amd64
Package-Type: udeb

Package: nic-modules-3.14-0.bpo.1-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: nic-modules, nic-extra-modules
Depends: kernel-image-3.14-0.bpo.1-amd64-di, nic-shared-modules-3.14-0.bpo.1-amd64-di, core-modules-3.14-0.bpo.1-amd64-di, i2c-modules-3.14-0.bpo.1-amd64-di, crc-modules-3.14-0.bpo.1-amd64-di
Description: NIC drivers
 This package contains Ethernet and some paravirtualised network drivers
 for the kernel.
Kernel-Version: 3.14-0.bpo.1-amd64
Package-Type: udeb

Package: nic-wireless-modules-3.14-0.bpo.1-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: nic-wireless-modules
Depends: kernel-image-3.14-0.bpo.1-amd64-di, nic-shared-modules-3.14-0.bpo.1-amd64-di, core-modules-3.14-0.bpo.1-amd64-di, usb-modules-3.14-0.bpo.1-amd64-di, mmc-modules-3.14-0.bpo.1-amd64-di, pcmcia-modules-3.14-0.bpo.1-amd64-di, crc-modules-3.14-0.bpo.1-amd64-di
Description: Wireless NIC drivers
 This package contains wireless NIC drivers for the kernel.  Includes
 crypto modules only needed for wireless (WEP, WPA).
Kernel-Version: 3.14-0.bpo.1-amd64
Package-Type: udeb

Package: nic-shared-modules-3.14-0.bpo.1-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: nic-shared-modules
Depends: kernel-image-3.14-0.bpo.1-amd64-di
Description: Shared NIC drivers
 This package contains NIC drivers needed by combinations of nic-modules,
 nic-pcmcia-modules, nic-usb-modules and nic-wireless-modules.
Kernel-Version: 3.14-0.bpo.1-amd64
Package-Type: udeb

Package: serial-modules-3.14-0.bpo.1-amd64-di
Architecture: amd64
Section: debian-installer
Priority: optional
Provides: serial-modules
Depends: kernel-image-3.14-0.bpo.1-amd64-di, pcmcia-modules-3.14-0.bpo.1-amd64-di
Description: Serial drivers
 This package contains serial drivers for the kernel.
Kernel-Version: 3.14-0.bpo.1-amd64
Package-Type: udeb

Package: usb-serial-modules-3.14-0.bpo.1-amd64-di
Architecture: amd64
Section: debian-installer
Priority: optional
Provides: usb-serial-modules
Depends: kernel-image-3.14-0.bpo.1-amd64-di, usb-modules-3.14-0.bpo.1-amd64-di
Description: USB serial drivers
 This package contains USB serial drivers for the kernel.
Kernel-Version: 3.14-0.bpo.1-amd64
Package-Type: udeb

Package: ppp-modules-3.14-0.bpo.1-amd64-di
Architecture: amd64
Section: debian-installer
Priority: optional
Provides: ppp-modules
Depends: kernel-image-3.14-0.bpo.1-amd64-di, serial-modules-3.14-0.bpo.1-amd64-di, crc-modules-3.14-0.bpo.1-amd64-di
Description: PPP drivers
 This package contains PPP drivers for the kernel.
Kernel-Version: 3.14-0.bpo.1-amd64
Package-Type: udeb

Package: pata-modules-3.14-0.bpo.1-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: pata-modules
Depends: kernel-image-3.14-0.bpo.1-amd64-di, ata-modules-3.14-0.bpo.1-amd64-di
Description: PATA drivers
 This package contains PATA drivers for the kernel.
Kernel-Version: 3.14-0.bpo.1-amd64
Package-Type: udeb

Package: cdrom-core-modules-3.14-0.bpo.1-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: cdrom-core-modules
Depends: kernel-image-3.14-0.bpo.1-amd64-di, scsi-core-modules-3.14-0.bpo.1-amd64-di, isofs-modules-3.14-0.bpo.1-amd64-di
Description: CDROM support
 This package contains core CDROM support for the kernel.
Kernel-Version: 3.14-0.bpo.1-amd64
Package-Type: udeb

Package: firewire-core-modules-3.14-0.bpo.1-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: firewire-core-modules
Depends: kernel-image-3.14-0.bpo.1-amd64-di, scsi-core-modules-3.14-0.bpo.1-amd64-di, crc-modules-3.14-0.bpo.1-amd64-di
Description: Core FireWire drivers
 This package contains core FireWire drivers for the kernel.
Kernel-Version: 3.14-0.bpo.1-amd64
Package-Type: udeb

Package: scsi-core-modules-3.14-0.bpo.1-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: scsi-core-modules
Depends: kernel-image-3.14-0.bpo.1-amd64-di
Description: Core SCSI subsystem
 This package contains the core SCSI subsystem for the kernel.
Kernel-Version: 3.14-0.bpo.1-amd64
Package-Type: udeb

Package: scsi-modules-3.14-0.bpo.1-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: scsi-modules
Depends: kernel-image-3.14-0.bpo.1-amd64-di, scsi-core-modules-3.14-0.bpo.1-amd64-di, scsi-common-modules-3.14-0.bpo.1-amd64-di, cdrom-core-modules-3.14-0.bpo.1-amd64-di, core-modules-3.14-0.bpo.1-amd64-di, ata-modules-3.14-0.bpo.1-amd64-di
Description: SCSI drivers
 This package contains SCSI drivers for the kernel.
Kernel-Version: 3.14-0.bpo.1-amd64
Package-Type: udeb

Package: scsi-common-modules-3.14-0.bpo.1-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: scsi-common-modules
Depends: kernel-image-3.14-0.bpo.1-amd64-di, scsi-core-modules-3.14-0.bpo.1-amd64-di, cdrom-core-modules-3.14-0.bpo.1-amd64-di
Description: Very common SCSI drivers
 This package contains very common SCSI drivers for the kernel.
Kernel-Version: 3.14-0.bpo.1-amd64
Package-Type: udeb

Package: scsi-extra-modules-3.14-0.bpo.1-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: scsi-extra-modules
Depends: scsi-modules-3.14-0.bpo.1-amd64-di, scsi-core-modules-3.14-0.bpo.1-amd64-di
Description: Uncommon SCSI drivers
 This package contains uncommon SCSI drivers for the kernel.  This includes
 SCSI RAID drivers, and some of the less common SCSI controllers.
Kernel-Version: 3.14-0.bpo.1-amd64
Package-Type: udeb

Package: loop-modules-3.14-0.bpo.1-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: loop-modules
Depends: kernel-image-3.14-0.bpo.1-amd64-di
Description: Loopback filesystem support
 This package contains loopback filesystem support for the kernel.
Kernel-Version: 3.14-0.bpo.1-amd64
Package-Type: udeb

Package: btrfs-modules-3.14-0.bpo.1-amd64-di
Architecture: amd64
Section: debian-installer
Priority: extra
Provides: btrfs-modules
Depends: kernel-image-3.14-0.bpo.1-amd64-di, core-modules-3.14-0.bpo.1-amd64-di, crc-modules-3.14-0.bpo.1-amd64-di, md-modules-3.14-0.bpo.1-amd64-di
Description: BTRFS filesystem support
 This package contains the BTRFS filesystem module for the kernel.
Kernel-Version: 3.14-0.bpo.1-amd64
Package-Type: udeb

Package: ext4-modules-3.14-0.bpo.1-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: ext4-modules, ext2-modules, ext3-modules
Depends: kernel-image-3.14-0.bpo.1-amd64-di, core-modules-3.14-0.bpo.1-amd64-di, crc-modules-3.14-0.bpo.1-amd64-di
Description: ext2/ext3/ext4 filesystem support
 This package contains the ext4 filesystem module for the kernel, which
 also supports ext2 and ext3.
Kernel-Version: 3.14-0.bpo.1-amd64
Package-Type: udeb

Package: isofs-modules-3.14-0.bpo.1-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: isofs-modules
Depends: kernel-image-3.14-0.bpo.1-amd64-di
Description: ISOFS filesystem support
 This package contains the ISOFS filesystem module for the kernel.
Kernel-Version: 3.14-0.bpo.1-amd64
Package-Type: udeb

Package: jfs-modules-3.14-0.bpo.1-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: jfs-modules
Depends: kernel-image-3.14-0.bpo.1-amd64-di
Description: JFS filesystem support
